AddDamageType("MadmanFists",   '<bitmap:add-ons/Weapon_MadmanFists/Fists/Fists_CI> %1',    '%2 <bitmap:add-ons/Weapon_MadmanFists/Fists/Fists_CI> %1',0.75,1);

datablock AudioProfile(DuelChargedSound)
{
   filename    = "./clickPlant.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshFastestSound)
{
   filename    = "./Woosh Fastest.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshFasterSound)
{
   filename    = "./Woosh Faster.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshFastSound)
{
   filename    = "./Woosh Fast.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshSound)
{
   filename    = "./Woosh.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshSlowSound)
{
   filename    = "./Woosh Slow.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshSlowestSound)
{
   filename    = "./Woosh Slowest.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(FistsHitHard2Sound)
{
   filename    = "./Punch 1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(FistsHitHardSound)
{
   filename    = "./Punch 2.wav";
   description = AudioClosest3d;
   preload = true;
};

//The power puncher
datablock ParticleData(DFistsLargeExplosionParticle)
{
   dragCoefficient      = 5;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 10;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "0.9 0.5 0.0 0.9";
   colors[1]     = "0.0 0.0 0.0 0.9";
   colors[2]     = "0.0 0.0 0.0 0.0";

   sizes[0]      = 3.0;
   sizes[1]      = 5.0;
   sizes[2]      = 8.0;

   times[0] = 0.0;
   times[1] = 0.4;
   times[2] = 1.0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(DFistsLargeExplosionEmitter)
{
   lifetimeMS = 100;  
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 20;
   velocityVariance = 0;
   ejectionOffset   = 0;
   thetaMin         = 89.9;
   thetaMax         = 90;
   phiReferenceVel  = 30;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "DFistsLargeExplosionParticle";
};

//Both hooks
datablock ParticleData(DFistsHardExplosionParticle)
{
 
   dragCoefficient      = 8;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 300;
   lifetimeVarianceMS   = 0;
   textureName          = "base/data/particles/cloud";
   spinSpeed		= 10.0;
   spinRandomMin		= -50.0;
   spinRandomMax		= 50.0;
   colors[0]     = "1.0 0.3 0.0 0.9";
   colors[1]     = "0.0 0.0 0.0 0.9";
   colors[2]     = "0.2 0.2 0.2 0.0";

   sizes[0]      = 0.5;
   sizes[1]      = 1.0;
   sizes[2]      = 3.0;

   times[0] = 0.0;
   times[1] = 0.4;
   times[2] = 1;

   useInvAlpha = true;
};
datablock ParticleEmitterData(DFistsHardExplosionEmitter)
{
	lifetimeMS = 100; 
	ejectionPeriodMS = 4;
	periodVarianceMS = 1;
	ejectionVelocity = 20.0;
	velocityVariance = 0.0;
	ejectionOffset   = 0.0;
	thetaMin         = 89;
	thetaMax         = 90;
	phiReferenceVel  = 0;
	phiVariance      = 360;
	overrideAdvance = false;
	particles = "DFistsHardExplosionParticle";
	uiName = "Madman Fists Explosion 1";
   
};

datablock ParticleData(DFistsHardExplosionRingParticle)
{
   dragCoefficient      = 14;
   gravityCoefficient   = 0;
   inheritedVelFactor   = 0.1;
   constantAcceleration = 0.0;
   lifetimeMS           = 100;
   lifetimeVarianceMS   = 10;
   textureName          = "base/data/particles/star1";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "1 0.5 0.0 0.5";
   colors[1]     = "0.9 0.0 0.0 0.0";
   sizes[0]      = 1;
   sizes[1]      = 2;

   useInvAlpha = false;
};
datablock ParticleEmitterData(DFistsHardExplosionRingEmitter)
{
   lifeTimeMS = 50;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 30;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "DFistsHardExplosionRingParticle";
};


datablock ParticleData(DFistsHardExplosionChunkParticle)
{
   dragCoefficient      = 0;
   gravityCoefficient   = 3;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 1400;
   lifetimeVarianceMS   = 1300;
   textureName          = "base/data/particles/chunk";
   spinSpeed		= 10.0;
   spinRandomMin		= -500.0;
   spinRandomMax		= 500.0;
   colors[0]     = "0.1 0.1 0.1 0.5";
   colors[1]     = "0.0 0.0 0.0 0.5";
   sizes[0]      = 0.7;
   sizes[1]      = 0;

   useInvAlpha = true;
};
datablock ParticleEmitterData(DFistsHardExplosionChunkEmitter)
{
   lifeTimeMS = 25;

   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 25;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "DFistsHardExplosionChunkParticle";
};

///////////
//Esplode//
///////////

datablock ExplosionData(DFistsLargeExplosion)
{
   explosionShape = "";
   soundProfile = FistsHitHardSound;

   lifeTimeMS = 100;

   particleEmitter = DFistsLargeExplosionEmitter;
   particleDensity = 1;
   particleRadius = 0;

   emitter[0] = DFistsHardExplosionRingEmitter;
   emitter[1] = DFistsHardExplosionChunkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 20.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 20;
   lightStartColor = "1 1 0 1";
   lightEndColor = "1 0 0 0";

   damageRadius = 3;
   radiusDamage = 4;

   impulseRadius = 6;
   impulseForce = 4000;

   playerBurnTime = 1000;
};

datablock ExplosionData(DFistsHardExplosion)
{

   explosionShape = "Add-Ons/Weapon_Rocket_Launcher/explosionSphere1.dts";
   soundProfile = FistsHitHardSound;

   lifeTimeMS = 150;



   emitter[0] = DFistsHardExplosionRingEmitter;
   emitter[1] = DFistsHardExplosionEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 20.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 20;
   lightStartColor = "1 1 0 1";
   lightEndColor = "1 0 0 0";

   damageRadius = 7;
   radiusDamage = 50;

   impulseRadius = 6;
   impulseForce = 4000;

   playerBurnTime = 1000;
};

datablock ExplosionData(DFistsHard2Explosion)
{
   //explosionShape = "";
 
   lifeTimeMS = 20;

   soundProfile = FistsHitHard2Sound;

   particleEmitter = DFistsHardExplosionRingEmitter;
   particleDensity = 10;
   particleRadius = 0.15;

   faceViewer     = true;
   explosionScale = ".3 .3 .3";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ProjectileData(FistsFastProjectile)
{
   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 20;
   brickExplosionMaxVolume = 400;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 400;  //max volume of bricks that we can destroy if they aren't connected to the ground

   directDamage        = 25;
   directDamageType  = $DamageType::MadmanFists;
   radiusDamageType  = $DamageType::MadmanFists;
   explosion           = DFistsHard2Explosion;

   muzzleVelocity      = 50;
   velInheritFactor    = 1;

   lifetime            = 180;
   fadeDelay           = 85;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Fist Punch";
};

datablock ProjectileData(mmFiststunProjectile)
{
   directDamage        = 5;
   directDamageType  = $DamageType::MadmanFists;
   radiusDamageType  = $DamageType::MadmanFists;
   explosion           = DFistsHard2Explosion;

   impactImpulse	     = 1600;
   verticalImpulse	  = 500;
   muzzleVelocity      = 50;
   velInheritFactor    = 1;

   lifetime            = 180;
   fadeDelay           = 85;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Fist Punch";
};

datablock ProjectileData(FistsMediumProjectile)
{
brickExplosionRadius = 2;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 30;
   brickExplosionMaxVolume = 400;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 400;  //max volume of bricks that we can destroy if they aren't connected to the ground

   directDamage        = 4;
   directDamageType  = $DamageType::MadmanFists;
   radiusDamageType  = $DamageType::MadmanFists;
   explosion           = DFistsHardExplosion;

   muzzleVelocity      = 50;
   velInheritFactor    = 1;

   lifetime            = 180;
   fadeDelay           = 85;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Fist Punch";
};

datablock ProjectileData(mmFiststrongProjectile)
{
   brickExplosionRadius = 4;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 30;
   brickExplosionMaxVolume = 400;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 400;  //max volume of bricks that we can destroy if they aren't connected to the ground

   directDamage        = 2;
   directDamageType  = $DamageType::MadmanFists;
   radiusDamageType  = $DamageType::MadmanFists;
   explosion           = DFistsLargeExplosion;

   muzzleVelocity      = 50;
   velInheritFactor    = 1;

   lifetime            = 180;
   fadeDelay           = 85;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "1 1 1";

   uiName = "Fist Punch";
};

//////////
// item //
//////////
datablock ItemData(mmFistsItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./HandR.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Madman Fists";
	iconName = "./Icon_Fists";
	doColorShift = true;
	colorShiftColor = "1 0.878 0.612 1.000";

	 // Dynamic properties defined by the scripts
	image = mmFistsImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(mmFistsImage)
{
   // Basic Item properties
   shapeFile = "./HandR.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "-0.093 0 -0.02"; //X Z Y


   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = false;

   eyeOffset = "0.43 1 -0.6";

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = mmFistsItem;
   ammo = " ";
   projectile = FistsFastProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = false;

   //casing = " ";
   doColorShift = true;
   colorShiftColor = "1 0.878 0.612 1.000";
   
	stateName[0]                     = "Activate";
    stateSound[0]                    = weaponSwitchSound;
	stateSequence[0]                     = "Ready1_1";
	stateTimeoutValue[0]             = 0.65;
	stateTransitionOnTimeout[0]      = "Ready1_1";

	stateName[1]                     = "Ready1_1";
	stateSequence[1]                     = "Ready1_1";
	stateTransitionOnTriggerDown[1]  = "Fire1_1Pre";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire1_1Pre";
	stateSequence[2]                = "Ready1";
	stateTimeoutValue[2]            = 0.25;
	stateTransitionOnTimeout[2]     = "Fire2_1Pre";
	stateWaitForTimeout[2]		= false;
	stateTransitionOnTriggerUp[2]  = "Fire1_1";
	stateAllowImageChange[2]        = false;

	stateName[3]                    = "Fire1_1";
	stateSequence[3]                = "Fire1_1";
	stateTransitionOnTimeout[3]     = "Ready1_2";
	stateTimeoutValue[3]            = 0.15;
	stateFire[3]                    = true;
	stateAllowImageChange[3]        = false;
	stateScript[3]                  = "onFireFast";
	stateSound[3]                    = WooshFastestSound;
	stateWaitForTimeout[3]		= true;

	stateName[4]                     = "Ready1_2";
	stateSequence[4]                     = "Ready1";
	stateTransitionOnTriggerDown[4]  = "Fire1_2Pre";
	stateAllowImageChange[4]         = true;

	stateName[5]                    = "Fire1_2Pre";
	stateSequence[5]                = "Ready1";
	stateTimeoutValue[5]            = 0.25;
	stateTransitionOnTimeout[5]     = "Fire2_2Pre";
	stateWaitForTimeout[5]		= false;
	stateTransitionOnTriggerUp[5]  = "Fire1_2";
	stateAllowImageChange[5]        = false;

	stateName[6]                    = "Fire1_2";
	stateSequence[6]                = "Fire1_2";
	stateTransitionOnTimeout[6]     = "Ready1_1";
	stateTimeoutValue[6]            = 0.15;
	stateFire[6]                    = true;
	stateAllowImageChange[6]        = false;
	stateScript[6]                  = "onFireFast";
	stateSound[6]                    = WooshFastestSound;
	stateWaitForTimeout[6]		= true;

//Both Hooks.

	stateName[7]                     = "Ready2_1";
	stateSequence[7]                     = "Ready2_1";
	stateTransitionOnTriggerDown[7]  = "Fire2_1Pre";
	stateAllowImageChange[7]         = true;

	stateName[8]                    = "Fire2_1Pre";
	stateSequence[8]                = "Ready2_1";
	stateTimeoutValue[8]            = 0.5;
	stateTransitionOnTimeout[8]     = "Power_Pre";
	stateWaitForTimeout[8]		= false;
	stateTransitionOnTriggerUp[8]  = "Fire2_1";
	stateScript[8]                  = "onCharged";
	stateAllowImageChange[8]        = false;

	stateName[9]                    = "Fire2_1";
	stateSequence[9]                = "Fire1_1";
	stateTransitionOnTimeout[9]     = "Ready1_2";
	stateTimeoutValue[9]            = 0.3;
	stateFire[9]                    = true;
	stateAllowImageChange[9]        = false;
	stateScript[9]                  = "onFireMedium";
	stateWaitForTimeout[9]		= true;

	stateName[10]                     = "Ready2_2";
	stateSequence[10]                     = "Ready2_2";
	stateTransitionOnTriggerDown[10]  = "Fire2_2Pre";
	stateAllowImageChange[10]         = true;

	stateName[11]                    = "Fire2_2Pre";
	stateSequence[11]                = "Ready2_2";
	stateTimeoutValue[11]            = 0.5;
	stateTransitionOnTimeout[11]     = "Power_Pre";
	stateWaitForTimeout[11]		= false;
	stateTransitionOnTriggerUp[11]  = "Fire2_2";
	stateScript[11]                  = "onCharged";
	stateAllowImageChange[11]        = false;

	stateName[12]                    = "Fire2_2";
	stateSequence[12]                = "Fire1_2";
	stateTransitionOnTimeout[12]     = "Ready1_1";
	stateTimeoutValue[12]            = 0.3;
	stateFire[12]                    = true;
	stateAllowImageChange[12]        = false;
	stateScript[12]                  = "onFireMedium";
	stateWaitForTimeout[12]		= true;

//The Power Strike

	stateName[15]                    = "Power_Pre";
	stateSequence[15]                = "Ready4";
	stateWaitForTimeout[15]		= false;
	stateScript[15]                  = "onCharged";
	stateTransitionOnTriggerUp[15]  = "Power_Fire";
	stateAllowImageChange[15]        = false;

	stateName[16]                    = "Power_Fire";
	stateTransitionOnTimeout[16]     = "Power_Hit";
	stateTimeoutValue[16]            = 0.15;
	stateAllowImageChange[16]        = false;
	stateWaitForTimeout[16]		= true;

	stateName[17]                    = "Power_Hit";
	stateSequence[17]                = "Fire3_1";
	stateTransitionOnTimeout[17]     = "Ready1_1";
	stateTimeoutValue[17]            = 0.35;
	stateFire[17]                    = true;
	stateAllowImageChange[17]        = false;
	stateScript[17]                  = "onFireStrong";
	stateWaitForTimeout[17]		= true;
};

//hiding the hands and stuff

AddDamageType("MadManSmash",   '<bitmap:add-ons/Weapon_MadmanFists/Fists/Fists_CI> %1',    '%2 <bitmap:add-ons/Weapon_MadmanFists/Fists/Fists_CI> %1',0.75,1);
datablock ExplosionData(DFistsHardExplosionMod : DFistsHardExplosion)
{
   shakeCamera = true;
   camShakeFreq = "1 1 1";
   camShakeAmp = "2 2 2";
   camShakeDuration = 0.2;
   camShakeRadius = 0.2;
};
datablock ProjectileData(FistsMediumProjectileMod : FistsMediumProjectile)
{
   explosion           = DFistsHardExplosionMod;
};
function mmFistsImage::onFireFast(%this, %obj, %slot)
{
	
	%projectile = FistsFastProjectile;
	%obj.playThread(3, plant);
	%p = new (%this.projectileType)()
	{
		dataBlock = %projectile;
		scale = %obj.getScale();
		initialVelocity = vectorScale(%obj.getMuzzleVector(0),%projectile.muzzleVelocity*getWord(%obj.getScale(),0));
		initialPosition = %obj.getEyePoint();
		sourceObject = %obj;
		sourceSlot = %slot;
		client = %obj.client;
	};
	MissionCleanup.add(%p);
}
function mmFistsImage::onFireMedium(%this, %obj, %slot)
{
	
	%projectile = FistsMediumProjectile;
	%obj.playThread(3, plant);

	%p = new (%this.projectileType)()
	{
		dataBlock = %projectile;
		scale = %obj.getScale();
		initialVelocity = vectorScale(%obj.getMuzzleVector(0),%projectile.muzzleVelocity*getWord(%obj.getScale(),0));
		initialPosition = %obj.getEyePoint();
		sourceObject = %obj;
		sourceSlot = %slot;
		client = %obj.client;
	};
	MissionCleanup.add(%p);
}

function mmFistsImage::onFireStrong(%this, %obj, %slot)
{
	
	%projectile = mmFiststrongProjectile;
	%obj.playThread(3, plant);

	%p = new (%this.projectileType)()
	{
		dataBlock = %projectile;
		scale = %obj.getScale();
		initialVelocity = vectorScale(%obj.getMuzzleVector(0),%projectile.muzzleVelocity*getWord(%obj.getScale(),0));
		initialPosition = %obj.getEyePoint();
		sourceObject = %obj;
		sourceSlot = %slot;
		client = %obj.client;
	};
	MissionCleanup.add(%p);
}

function mmFistsImage::onCharged(%this, %obj, %slot)
{	
		%obj.playThread(2, plant);
        serverPlay3D(DuelChargedSound,%obj.getPosition());

}

function mmFistsImage::onMount(%this, %obj, %slot)
{	
	if(%obj.getDatablock() == MadmanPLArmor.getid())
		{
			%obj.unmountimage(0);
			%obj.mountimage(mmPLFistsImage, 0);
		}
	else
		{
			%obj.hideNode("LHand");
			%obj.hideNode("RHand");
			%obj.hideNode("LHook");
			%obj.hideNode("RHook");
			%obj.hideNode("RArm");
			%obj.hideNode("LArm");
			%obj.hideNode("RArmslim");
			%obj.hideNode("LArmslim");
			%obj.playThread(0, armreadyboth);
		}
}

function mmFistsImage::onUnMount(%this, %obj, %slot)
{	
			%obj.unhideNode("LHand");
			%obj.unhideNode("RHand");
			%obj.unhideNode("RArm");
			%obj.unhideNode("LArm");
		%obj.playThread(0, root);
}

//Trogtor Fists

datablock ItemData(TrogtorFistsItem : mmFistsItem)
{
	uiName = "Trogtor Fists";
	doColorShift = true;
	colorShiftColor = "0.986 0.818 0 1.000";
	image = TrogtorFistsImage;
};
datablock ShapeBaseImageData(TrogtorFistsImage : mmFistsImage)
{
	item = TrogtorFistsItem;
	doColorShift = true;
	colorShiftColor = "0.986 0.818 0 1.000";
};

function TrogtorFistsImage::onFireFast(%this, %obj, %slot)
{
	mmFistsImage::onFireFast(%this, %obj, %slot);
}

function TrogtorFistsImage::onFireMedium(%this, %obj, %slot)
{
	mmFistsImage::onFireMedium(%this, %obj, %slot);
}

function TrogtorFistsImage::onFireStrong(%this, %obj, %slot)
{
	mmFistsImage::onFireStrong(%this, %obj, %slot);
}
function TrogtorFistsImage::onCharged(%this, %obj, %slot)
{	
	mmFistsImage::onCharged(%this, %obj, %slot);
}

function TrogtorFistsImage::onMount(%this, %obj, %slot)
{	
			%obj.hideNode("LHand");
			%obj.hideNode("RHand");
			%obj.hideNode("LHook");
			%obj.hideNode("RHook");
			%obj.hideNode("RArm");
			%obj.hideNode("LArm");
			%obj.hideNode("RArmslim");
			%obj.hideNode("LArmslim");
		%obj.playThread(0, armreadyboth);
}

function TrogtorFistsImage::onUnMount(%this, %obj, %slot)
{	

			%obj.unhideNode("LHand");
			%obj.unhideNode("RHand");
			%obj.unhideNode("RArm");
			%obj.unhideNode("LArm");
			%obj.playThread(0, root);
}